## ros-iron-cv-bridge 3.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(cv_bridge)

find_package(ament_cmake_ros REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

if(ANDROID)
  find_package(Boost REQUIRED)
  set(boost_python_target "")
else()
  find_package(Python3 REQUIRED COMPONENTS Development NumPy)
  find_package(Boost QUIET)
  if(Boost_VERSION_STRING VERSION_LESS "1.67")
    # This is a bit of a hack to suppress a warning
    #   No header defined for python3; skipping header check
    # Which should only affect Boost versions < 1.67
    # Resolution for newer versions:
    #  https://gitlab.kitware.com/cmake/cmake/issues/16391
    set(_Boost_PYTHON3_HEADERS "boost/python.hpp")
    find_package(Boost REQUIRED COMPONENTS python3)
    set(boost_python_target "Boost::python3")
  else()
    find_package(Boost REQUIRED COMPONENTS python${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR})
    set(boost_python_target "Boost::python${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR}")
  endif()
endif()

find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(OpenCV 4 QUIET
  COMPONENTS
    opencv_core
    opencv_imgproc
    opencv_imgcodecs
  CONFIG
)
if(NOT OpenCV_FOUND)
  find_package(OpenCV 3 REQUIRED
    COMPONENTS
      opencv_core
      opencv_imgproc
      opencv_imgcodecs
    CONFIG
  )
endif()

if(NOT ANDROID)
  ament_python_install_package(${PROJECT_NAME}
    PACKAGE_DIR python/${PROJECT_NAME}
  )
endif()

add_subdirectory(src)

# cv_bridge_lib_dir is passed as APPEND_LIBRARY_DIRS for each ament_add_gtest call so
# the project library that they link against is on the library path.
# This is especially important on Windows.
# This is overwritten each loop, but which one it points to doesn't really matter.
set(cv_bridge_lib_dir "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

ament_export_dependencies(
  OpenCV
  sensor_msgs
  rclcpp
)

ament_export_targets(export_${PROJECT_NAME})

# install the include folder
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION bin
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
)

ament_package(
  CONFIG_EXTRAS "cmake/cv_bridge-extras.cmake.in"
)

=== debian/changelog ===
ros-iron-cv-bridge (3.4.0-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-cv-bridge (3.3.1-3jammy) jammy; urgency=high

  * export rclcpp as dependency (#491 <https://github.com/ros-perception/vision_opencv/issues/491>)
  * silence dperecation warnings using boost macros (#478 <https://github.com/ros-perception/vision_opencv/issues/478>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 Sep 2022 16:00:00 -0000

ros-iron-cv-bridge (3.3.0-3jammy) jammy; urgency=high

  * Add apache license and bsd license, because both are used. (#479 <https://github.com/ros-perception/vision_opencv/issues/479>)
  * Remove opencv2.cpp and rename opencv3.cpp to opencv4.cpp (#480 <https://github.com/ros-perception/vision_opencv/issues/480>)
  * Deprecate .h files in favor of .hpp headers (#448 <https://github.com/ros-perception/vision_opencv/issues/448>)
  * Reorganize author tag (#460 <https://github.com/ros-perception/vision_opencv/issues/460>)
  * Add colormap argument to python wrapper (#452 <https://github.com/ros-perception/vision_opencv/issues/452>)
  * Fix 16U encoding type (#459 <https://github.com/ros-perception/vision_opencv/issues/459>)
  * Add type adapter for cv::Mat (#441 <https://github.com/ros-perception/vision_opencv/issues/441>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Fix ModuleNotFoundError: No module named 'cv_bridge' error (#444 <https://github.com/ros-perception/vision_opencv/issues/444>)
  * Make python3-opencv from test_depend to depend tag in package.xml (#439 <https://github.com/ros-perception/vision_opencv/issues/439>)
  * Contributors: Daisuke Nishimatsu, Kenji Brameld, Marcel Zeilinger, RachelRen05

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 13 Sep 2022 16:00:00 -0000

ros-iron-cv-bridge (3.0.3-3jammy) jammy; urgency=high

  * Add missing dependency on rcpputils (#427 <https://github.com/ros-perception/vision_opencv/issues/427>)
  * Contributors: Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 31 Mar 2022 16:00:00 -0000

ros-iron-cv-bridge (3.0.2-3jammy) jammy; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Find Python3 if not on Android (#423 <https://github.com/ros-perception/vision_opencv/issues/423>)
  * Forward ports from noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
    * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * Contributors: Chris Lalancette, Christian Rauch, Michael Carroll, Naoya Yamaguchi, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jan 2022 16:00:00 -0000

ros-iron-cv-bridge (3.0.1-3jammy) jammy; urgency=high

  * Use Boost::python3 if Boost < 1.67 (#422 <https://github.com/ros-perception/vision_opencv/issues/422>)
  * Use Boost::pythonXY target (#421 <https://github.com/ros-perception/vision_opencv/issues/421>)
  * Contributors: Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-cv-bridge (3.0.0-3jammy) jammy; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * Handle padded img msg in Python (#400 <https://github.com/ros-perception/vision_opencv/issues/400>)
  * Remove boost endian (#399 <https://github.com/ros-perception/vision_opencv/issues/399>)
  * Add conversions from YUV422 YUY2 (#396 <https://github.com/ros-perception/vision_opencv/issues/396>)
  * fix endianness comparison (#397 <https://github.com/ros-perception/vision_opencv/issues/397>)
  * Export sensor_msgs dependency (#392 <https://github.com/ros-perception/vision_opencv/issues/392>)
  * Fix multiple undefined references (#370 <https://github.com/ros-perception/vision_opencv/issues/370>)
  * Updated cv_bridge.dll install location. (#356 <https://github.com/ros-perception/vision_opencv/issues/356>)
  * Contributors: Homalozoa X, Jacob Perron, Patrick Musau, Sean Yen, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Jan 2022 16:00:00 -0000

ros-iron-cv-bridge (2.2.1-3jammy) jammy; urgency=high

  * Align module.hpp with noetic (#342 <https://github.com/ros-perception/vision_opencv/issues/342>)
  * Contributors: Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 15 Jul 2020 16:00:00 -0000

ros-iron-cv-bridge (2.2.0-3jammy) jammy; urgency=high

  * Disable portable image tests (#337 <https://github.com/ros-perception/vision_opencv/issues/337>)
  * use more specific boost rosdep keys (#319 <https://github.com/ros-perception/vision_opencv/issues/319>)
  * add opencv4 into the dependency list for ROS2 (#324 <https://github.com/ros-perception/vision_opencv/issues/324>)
  * Corrected the typo of Boost_INCLUDE_DIRS (#315 <https://github.com/ros-perception/vision_opencv/issues/315>)
  * use target include directories (#313 <https://github.com/ros-perception/vision_opencv/issues/313>)
  * Contributors: Karsten Knese, Lewis Liu, Michael Carroll, Mikael Arguedas, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 26 May 2020 16:00:00 -0000

ros-iron-cv-bridge (2.1.3-3jammy) jammy; urgency=high

  * populate array.array directly instead of converting to and from a string (#305 <https://github.com/ros-perception/vision_opencv/issues/305>)
  * include Boost to fix Windows build (#290 <https://github.com/ros-perception/vision_opencv/issues/290>)
  * Export interfaces for Win32 Shared Lib (#301 <https://github.com/ros-perception/vision_opencv/issues/301>)
  * Contributors: Dirk Thomas, Jonathan Noyola, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 22 Oct 2019 16:00:00 -0000



=== debian/control ===
Source: ros-iron-cv-bridge
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-python-dev, libopencv-dev, python3-numpy, python3-opencv, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-python-cmake-module, ros-iron-rclcpp, ros-iron-rcpputils, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-iron-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-python1.74.0, libopencv-dev, python3-numpy, python3-opencv, ros-iron-ament-index-python, ros-iron-rclcpp, ros-iron-rcpputils, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: This contains CvBridge, which converts between ROS2 Image messages and OpenCV images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-cv-bridge//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
